/*------------------------------------------------------------
 * WooCommerce styles
 * Complete, as the default has been removed
 *------------------------------------------------------------*/



/* Main Loop
  *------------------------------------------------------------*/

/* Categories Banners before loop
  *------------------------------------------------------------*/

.hygge-wc-categories-banners {
	list-style: none;
	padding: 0;
	margin-bottom: 4.5em;
	margin-left: -30px;
	display: flex;
	justify-content: flex-start;
	flex-wrap: wrap;

	li {
		padding-left: 30px;
		flex: 1 0;
		max-width: 33%;
		overflow: hidden;

		a {
			position: relative;
			display: block;
		}

		.woocommerce-loop-category__title {
			.h4;
			position: absolute;
			top: 20px;
			right: 20px;
			margin: 0;
			-webkit-writing-mode: vertical-lr;
			writing-mode: vertical-lr;
			.transition;
		}

		a:hover {
			.woocommerce-loop-category__title {
				top: 40px;
			}
		}

		.count { display: none; }
	}
}



/* Before Main Loop
  *------------------------------------------------------------*/

.woocommerce-before-loop {
	position: relative;
	.clearfix;
	height: 50px;
}

.woocommerce-result-count {
	float: left;
}

.hygge-product-category-menu {
	float: left;
	.font--navigation;

	ul {
		list-style: none;
		padding: 0;
		margin: 0;

		li {
			padding: 0;
			margin: 0;
		}
	}

	& > ul {
		& > li {
			position: relative;
			float: left;

			& + li {
				margin-left: 1.5em;
			}

			& > a {
				position: relative;
				display: block;
				float: left;
				color: @black;
				height: 30px; // make sure height is 30px because dropdown
				line-height: 1;

				&:after {
					content: '';
					position: relative;
					display: block;
					width: 30px;
					height: 3px;
					background: @primary-color;
					margin: 10px auto 0;
					pointer-events: none;
					.transition;
					opacity: 0;
					z-index: 2;
					.translateY( -5px );
				}

				&.active,
				&:hover {
					&:after {
						opacity: 1;
						.translateY(0);
					}
				}
			}

			ul {
				position: absolute;
				top: 30px;
				left: 0;
				opacity: 0;
				.translateY( -10px );
				.transition;

				li {
					white-space: nowrap;
				}
			}

			&:hover {
				ul {
					// opacity: 1;
					// .translateY( 0 );
				}
			}
		}
	}
}



// Search
.woocommerce-before-loop .header__search {
	margin-top: -15px;

	.hygge-icon-search { display: none; }

	.search-form {
		padding-left: 20px;
	}

	&__toggle {
		margin-left: 30px;
		font-size: 14px;
		margin-top: 3px;
	}
}



// Order by dropdown
.woocommerce-ordering {
	float: right;

	select {display: none;}

	.hygge-dropdown {
		position: static;

		&__menu {
			z-index: 10;
			left: auto;
			right: 0;
			top: 100%;
		}
	}
}



// WooCommerce Loop
.woocommerce-loop {
	clear: both;

	.products {
		padding: 0;
		margin: 0;
		list-style: none;

		@media @tablet, @desktop {
			display: flex;
			flex-wrap: wrap;
			justify-content: flex-start;

			body:not(.browser-ie) & {
				margin-left: -30px;
			}

			.product {
				padding-left: 30px;
			}
		}

		.product {
			position: relative;
			overflow: hidden;
			text-align: center;
			flex: 0 0 50%;
			padding-bottom: 50px;
			margin-left: 0;

			@media @tablet-h {
				.hygge-sidebar--false & {
					flex-basis: 33.33%;
				}
			}

			@media @desktop-s{
				flex-basis: 33.33%;
			}

			@media @desktop-m {
				flex-basis: 25%;
			}

			a {
				position: relative;
				display: block;
			}

			img,
			.hygge-dropcap-media {
				margin-bottom: 20px;
			}

			img + img {
				position: absolute;
				top: 0;
				left: 0;
				z-index: 1;
				opacity: 0;
				visibility: hidden;
				.transition;
				-webkit-backface-visibility: hidden;
				backface-visibility: hidden;
				background: @white; //fixes 1px empty on bottom
			}

			.woocommerce-loop-product__title {
				margin-top: 0;
				margin-bottom: 0.5em;
				.transition;
			}

			.price {
				.label;
				color: @grey;

				ins {
					text-decoration: none;
					color: @primary-color;
					padding-left: 5px;
				}
			}

			a:hover {
				.woocommerce-loop-product__title {
					color: @primary-color;
				}

				img + img {
					opacity: 1;
					visibility: visible;
				}
			}

			&.product-category {
				.js & {
					display: none;
				}

				.woocommerce-loop-category__title {
					.h5;

					.count { display: none; }
				}
			}
		}

		.upsells &,
		.related & {

			@media @tablet-h {
				.hygge-sidebar--false & {
					.product:nth-child(4) {
						display: none;
					}
				}
			}

			@media @desktop-s{
				.product:nth-child(4) {
					display: none;
				}
			}
		}
	}
}



/* Onsale badge
 *------------------------------------------------------------*/

.onsale {
	.label;
	position: absolute;
	top: 0;
	right: 0;
	z-index: 9;
	display: block;
	line-height: 30px;
	padding: 20px 0;
	white-space: nowrap;
	-webkit-writing-mode: vertical-lr;
	writing-mode: vertical-lr;
	background: @black;
	color: @white;
}



/* Single Product display
 *------------------------------------------------------------*/

.single-woocommerce {
	.woocommerce-gallery-wrap {
		position: relative;

		.gallery {
			margin-top: 0 !important;
		}
	}

	.post__meta--single-product {
		.post__meta__item + .post__meta__item {
			margin-top: 20px;
		}
	}

	.summary {
		overflow: hidden;

		.product_title {
			.h3;

			& + .price {
				margin-top: -1em;
			}
		}

		.woocommerce-product-rating {
			margin-bottom: 1em;
		}

		.price {
			.description-heading;
			color: @black;

			ins {
				text-decoration: none;
				color: @primary-color;
			}

			.woocommerce-price-suffix {
				.label;
			}
		}

		.hygge-rating-stars {
		}

		.woocommerce-review-link {
			.link-color( @black, @primary-color );
		}
	}
}

button.single_add_to_cart_button {
	.quantity:not(.hidden) + & {
		margin-left: 20px;
	}
}



/* Number input customized + js
 *------------------------------------------------------------*/

.quantity {
	position: relative;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button
{
	-webkit-appearance: none;
	margin: 0;
}

input[type=number]
{
-moz-appearance: textfield;
}

.quantity {
	input {
		width: 80px;
		height: 50px;
		float: left;
		display: block;
		padding: 0;
		margin: 0;
		padding-right: 26px;
		border: 1px solid @grey-light;
		text-align: center;
	}

	input:focus {
		outline: 0;
	}

	.quantity-nav {
		float: left;
		position: relative;
		height: 50px;
	}

	.quantity-button {
		position: relative;
		cursor: pointer;
		border-left: 1px solid @grey-light;
		width: 26px;
		text-align: center;
		color: @black;
		font-size: 15px;
		font-family: "Trebuchet MS", Helvetica, sans-serif !important;
		line-height: 25px;
		.translateX( -100% );
		-webkit-user-select: none;
		-moz-user-select: none;
		-ms-user-select: none;
		-o-user-select: none;
		user-select: none;
		.transition;

		&:hover {
			background: @grey-pale;
		}
	}

	.quantity-button.quantity-up {
		position: absolute;
		height: 50%;
		top: 0;
		border-bottom: 1px solid @grey-light;
	}

	.quantity-button.quantity-down {
		position: absolute;
		height: 50%;
		bottom: 0;
	}
}



.related.products,
.upsells.products {
	h2 {
		text-align: center;
	}
}



/* Single Product tabbed content
 *------------------------------------------------------------*/

.wc-tabs-wrapper {
	margin-top: 2.8em;

	.wc-tabs {
		padding-left: 0;
		list-style: none;
		margin-bottom: 1.7em;

		li {
			display: inline-block;
			margin-left: 0;
			padding: 0;

			& + li {
				margin-left: 20px;
			}

			&:before {
				content: none !important;
			}

			a {
				position: relative;
				display: block;
				.label;
				color: @black;
				padding: 15px 0px;

				&:after {
					content: '';
					position: absolute;
					display: block;
					width: 30px;
					height: 3px;
					bottom: 0;
					left: ~"calc( 50% - 15px )";
					background: @primary-color;
					margin: 10px auto 0;
					pointer-events: none;
					.transition;
					opacity: 0;
					z-index: 2;
					.translateY( -5px );
				}
			}

			&.active a,
			a:hover {
				&:after {
					opacity: 1;
					.translateY(0);
				}
			}
		}
	}

	.wc-tab {
		&#tab-description h2,
		&#tab-additional_information h2,
		.woocommerce-Reviews-title {
			display: none;
		}

		&#tab-description {
			background: @grey-pale;
			padding: 20px 30px;
			.small;
			line-height: 2;

			p:last-child {
				margin-bottom: 0;
			}
		}
	}
}



/* WooCommerce tables
 *------------------------------------------------------------*/

.shop_attributes,
.variations,
.shop_table {
	margin-bottom: 4.5em;

	a:not(.button) {
		.link-color( @black, @primary-color );
	}

	tr:first-child {
		th, td {
			border-top: none;
		}
	}

	th, td {
		.label;
		padding: 20px 10px 10px;
		text-align: center;

		&:first-child { text-align: left; }
		&:last-child { text-align: right; }

		p {
			margin-bottom: 0;
		}
	}

	.product-remove {
		text-align: center !important;
	}

	.product-name,
	.product-thumbnail {
		text-align: left;
	}


	.hygge-select-wrap {
		width: auto;
	}

	.reset_variations {
		position: absolute;
		right: 0px;
		bottom: -30px;
	}

	.remove { font-size: 16px; }
	img { width: 63px; }
	td.product-name { .h5; }
	.quantity { display: inline-block; }
}

.shop_attributes {
	background: @grey-pale;

	tr:nth-child(even) {
		background: rgba(0,0,0,0.02);
	}

	th, td {
		border: none !important;
		padding-top: 15px;
		padding-left: 25px;
		text-align: left !important;
	}

	th {
		.label--italic;
		color: @grey;
	}
}

.variations {
	.hygge-select-wrap {
		margin: -5px -10px -11px 0;
	}
}

.shop_table {
	margin-bottom: 4.5em !important;

	th { padding-bottom: 20px; }
	td { padding-top: 40px; padding-bottom: 40px; }
}




/* Custom Rating Stars Display
 *------------------------------------------------------------*/

.hygge-rating-stars {
	overflow: hidden;
	display: inline-block;
	vertical-align: middle;

	.star {
		color: @black;
		float: left;
		line-height: inherit;
		font-size: 14px;
		margin-right: 2px;

		&--empty {
			color: @grey-light;
		}

		.dark-mode & {
			color: @white;

			&--empty {
				color: @grey;
			}
		}

		&:last-child {
			margin-right: 0.4em;
		}
	}
}





/* Reviews
 *------------------------------------------------------------*/

#reviews {
	h2 {
		text-align: left;
	}

	.commentlist {
		list-style: none;

		.comment {
			padding: 0;
			margin: 0;

			.comment_container {
				padding-left: 60px;
				margin-bottom: 20px;
				@media @tablet-h, @desktop {
					margin-bottom: 40px;
					padding-left: 80px;
				}
			}

			.avatar {
				float: left;
				position: relative;
				margin-left: -80px;
				margin-right: 50px;

				@media @mobile, @tablet-v {
					width: 40px;
					margin-left: -60px;
				}
			}

			.comment-text {
				position: relative;
				background: @grey-pale;
				padding: 20px 30px;

				p { margin-bottom: 10px; }

				a { .link-color; }

				&:before {
					content: '';
					display: block;
					position: absolute;
					top: 0;
					left: -16px;
					width: 0;
					height: 0;
					border-style: solid;
					border-width: 0 16px 16px 0;
					border-color: transparent @grey-pale transparent transparent;
				}
			}

			.meta {
				display: inline-block;
				padding-left: 10px;
				.label;
				color: @black;

				strong {
					font-weight: inherit;
					.hygge-list--bullet;

					&:after { margin-right: 0; }
				}

				.woocommerce-review__dash { display: none; }
			}

			.description {
				.small;
				line-height: 2em;
				padding-top: 10px;
			}
		}
	}

	/* Rating select in review form
	*------------------------------------------------------------*/

	#respond {
		.comment-reply-title {
			.h4;
			color: @black;
		}

		.comment-form-rating {
			margin: 1em 0 2em;

			.stars {
				overflow: hidden;

				span {
					display: block;
					float: left;

					a {
						font-family: 'Hygge-Icons';
						speak: none;
						font-style: normal;
						font-weight: normal;
						font-variant: normal;
						text-transform: none;
						line-height: 1;
						font-size: 0;
						color: @grey-light;
						display: block;
						float: left;
						padding-right: 2px;

						&:before {
							content: "\ea2f";
							font-size: 14px;
						}
					}

					&:hover {
						a {
							color: @primary-color !important;
							&:hover ~ a { color: @grey-light !important; }
						}
					}
				}

				&.selected {
					a {
						color: @primary-color;
						&.active ~ a { color: @grey-light; }
					}
				}
			}
		}

		#comment {
			height: 80px;
		}
	}
}



/* WooCommerce message after adding to cart
*------------------------------------------------------------*/

.hygge-grey-section {
	.woocommerce-loop {
		.max-width-wrapper;
	}
}



/* WooCommerce message after adding to cart
*------------------------------------------------------------*/

.woocommerce-message {
	margin-bottom: 2.8em;
	background: @grey-pale;
	padding: 30px;
	overflow: hidden;
	.label;
	line-height: 50px;

	a:not(.button) {
		display: block;
	}

	a.button {
		float: right;
		margin-left: 30px;
	}

	li:before {
		content: none !important;
	}
}

.woocommerce-Message,
.woocommerce-error {
	&:extend(.woocommerce-message all);
}



/* WooCommerce widget lists
*------------------------------------------------------------*/

.product_list_widget {
	list-style: none;
	padding: 0;
	margin: 0;

	li + li { margin-top: 30px; }

	a {
		display: block;
		.clearfix;

		&:hover {
			.post__title {
				color: @primary-color;
			}

			.post__media img + img {
				opacity: 1;
				visibility: visible;
			}
		}
	}

	.post__media {
		position: relative;
		float: left;
		margin-right: 20px;

		img + img {
			position: absolute;
			top: 0;
			left: 0;
			opacity: 0;
			visibility: hidden;
			.transition;
			-webkit-backface-visibility: hidden;
							backface-visibility: hidden;

		}
	}

	.post__text {
		padding: 0;
		overflow: hidden;

		.main-content & {
			padding-right: 10px;
		}

		.post__title {
			margin-top: 0.5em;
			margin-bottom: 0.5em;
			.transition;
		}
	}

	.price {
		.label;
		color: @grey-label;

		ins {
			text-decoration: none;
			color: @primary-color;
			padding-left: 5px;
		}
	}
}



/* WooCommerce widget cart
*------------------------------------------------------------*/

.widget_shopping_cart {

	li + li { margin-top: 20px; }

	li {
		display: flex;
		align-items: center;
	}

	.remove {
		width: 30px;
		text-align: center;
		.link-color( @black, @primary-color );
		font-size: 16px;
	}

	.post__media { width: 63px; }
	.post__text { margin-left: 20px; }
	.post__title { color: @black; }
	.quantity { color: @grey; }

	hr {
		margin-top: 1.7em;
	}

	.total {
		margin-top: 1.7em;
		padding: 15px 0;
		border-top: 1px solid @grey-pale;
		border-bottom: 1px solid @grey-pale;

		.label {
			float: right;
			color: @primary-color;
		}

		.grey-mode & { border-color: @grey-light; }
	}

	.buttons {
		overflow: hidden;

		.label { padding-top: 7px; }
	}
}



/* WooCommerce widget filters
*------------------------------------------------------------*/

.widget_rating_filter,
.widget_layered_nav,
.widget_layered_nav_filters {
	.chosen a {
		.link-color( @black, @grey );

		&:before {
			content: '×';
			.label;
			font-size: 21px;
			display: block;
			line-height: 1;
			font-weight: 300;
			float: left;
			padding-top: 2px;
			margin-left: -1em;
			opacity: 0;
			.transition(~"opacity 0.3s cubic-bezier( 0.4, 0, 0.3, 1 )");
		}

		&:hover:before {
			opacity: 1;
		}
	}
}

.widget_rating_filter {
	.hygge-rating-stars {
		float: left;
		color: inherit;
	}

	.star {
		.transition;
	}

	li.chosen a .star--full,
	a:hover .star--full {
		color: @primary-color;
	}

	li.chosen a:hover .star--full {
		color: @grey;
	}


}



/* WooCommerce price range slider
*------------------------------------------------------------*/

.price_slider_wrapper {
	.button {
		.button--small;
		.button--black;
		float: right;
		margin-bottom: 0;
	}

	.price_label {
		float: left;
		text-align: left;
		.label;
		line-height: 27px;
	}
}

.ui-slider {
	position: relative;
	background-color: @grey-light;
	height: 3px;
	font-size: 12px;
	margin-bottom: 20px;

	.ui-slider-range {
		position: absolute;
		z-index: 1;
		display: block;
		background-color: @black;
		top: 0;
		height: 100%;
	}

	.ui-slider-handle {
		position: absolute;
		z-index: 2;
		width: 1em;
		height: 1em;
		background-color: @black;
		border-radius: 1em;
		cursor: ew-resize;
		top: -.4em;
	}
}



/* Cart form
*------------------------------------------------------------*/

.woocommerce-cart-form {
	input[name="apply_coupon"] {
		.button--border;
		float: left;
	}

	input[name="update_cart"] {
		float: right;
		clear: none;
	}

	.hygge-sideblock {
		input[type="submit"] {
			.ellipsis;
			max-width: 45%;
			padding-left: 20px;
			padding-right: 20px;
		}
	}
}

.cart_totals,
.woocommerce-checkout-review-order-table {
	margin-bottom: 4.5em;

	.shop_table,
	&.shop_table {
		background: @grey-pale;
		margin-bottom: 2.8em !important;

		th, td {
			padding: 20px;
			vertical-align: top;
		}

		th { .h5; }

		.order-total {
			color: @black;
			background: rgba(0,0,0,0.02);

			& > * {
				border-top: none;
				border-bottom: none;
			}

			strong {
				.h5;
			}
		}
	}

	.wc-proceed-to-checkout {
		.checkout-button {
			.button--wide;
			.button--black;
		}
	}

	ul {
		margin-bottom: 0.5em;

		li {
			padding: 0;

			&:before { content: none; }
		}
	}

	.shipping-calculator-button {
		.label--italic;
		.link-color( @primary-color, @black );
	}

	.form-row {
		margin-bottom: 20px;
	}

	.shipping-calculator-form {
		padding-top: 20px;
	}
}



/* Checkout
*------------------------------------------------------------*/

.woocommerce .woocommerce-info ~ .woocommerce-info {
	&:before {
		content: '';
		display: block;
		.hygge-separator;
		.hygge-separator--small;
		margin-top: 1.7em;
	}
}

.checkout_coupon {
	.button {
		.button--border;
	}
}

form.woocommerce-checkout {
	overflow: hidden;

	h3 {
		.h4;
	}

	#billing_first_name_field,
	#billing_address_1_field,
	#billing_state_field {
		overflow: hidden;
		float: left;
		width: 50%;
		padding-right: 15px;

		& + * {
			overflow: hidden;
			padding-left: 15px;

			& + * {
				clear: both;
			}
		}
	}

	#billing_address_2_field {
		padding-top: unit(@typo_label_size * 0.9 * @typo_label_line, px);
	}

	.woocommerce-additional-fields {
		margin-top: 3.7em;
		margin-bottom: 4.5em;
	}

	.woocommerce-checkout-payment {
		ul li {
			&:before { content: none; }
			margin-left: 0;
			padding: 1.5em 0 1.5em 1em;

			& + li {
				border-top: 1px solid @grey-light;
			}

			p {
				margin-bottom: 0;
			}

			label {
				img {
					margin: 0 1em;
				}
			}

			.payment_box {
				margin-left: 3em;
			}
		}
	}

	#place_order {
		.button--black;
		.button--wide;
	}
}


// Select2 / SelectWoo
.select2-container--default .select2-selection--single {
	position: relative;
	margin-top: 0.5em;
	border-radius: 0;
	height: 45px;
}

.select2-container--default .select2-selection--single,
.select2-dropdown,
.select2-container--default .select2-search--dropdown .select2-search__field {
	border-color: @grey-light;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
	line-height: 45px;
	color: @black;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
	height: 45px;
	top: 0;
}
.select2-container--default .select2-selection--single .select2-selection__arrow b {
	border: none;
	position: static;

	&:after {
		content: '\f078';
		font-family: 'Hygge-Icons';
		speak: none;
		font-style: normal;
		font-weight: normal;
		font-variant: normal;
		text-transform: none;
		line-height: 1;

		pointer-events: none;
		position: absolute;
		top: 50%;
		right: 0.9em;
		margin-top: -0.4em;
		font-size: 0.7em;
		color: @black;
	}

	&:before {
		content: '';
		position: absolute;
		top: 0;
		bottom: 0;
		right: 2em;
		border-left: 1px solid @grey-light;

		.grey-mode & {
			border-color: @grey-label;
		}
	}
}

.hygge-select-wrap {
	.select2 {
		display: none;
	}

	.select2-hidden-accessible {
		position: relative !important;
		height: 45px !important;
		margin: 0 !important;
		width: 100% !important;
	}
}



.woocommerce-cart-form,
.woocommerce-checkout {
	input[type="radio"] {
		visibility: hidden;

		label + & { visibility: visible; }

		& + label,
		& + span {
			padding: 0.5em 0;

			&:before {
				content: '';
				display: inline-block;
				vertical-align: middle;
				.circled;
				width: 1em;
				height: 1em;
				background: @grey-light;
				margin-right: 1em;
				cursor: pointer;

				.grey-mode & {
					background: @grey-label;
				}
			}
		}

		&:checked + label {
			&:before {
				background: @black;
			}
		}
	}
}



/* Account Pages
*------------------------------------------------------------*/

.woocommerce-MyAccount-navigation {
	.font--navigation;

	ul {
		list-style: none;
		padding: 0;
		margin: 0;

		li {
			padding: 0;
			margin: 0;

			& + li {
				margin-top: 1.7em;
			}

			a {
				position: relative;
				display: block;
				color: @black;
				height: 30px; // make sure height is 30px because dropdown
				line-height: 1;

				&:after {
					content: '';
					position: relative;
					display: block;
					width: 30px;
					height: 3px;
					background: @primary-color;
					margin: 10px auto 0 0;
					pointer-events: none;
					.transition;
					opacity: 0;
					z-index: 2;
					.translateY( -5px );
				}
			}

			&.is-active a,
			a:hover {
				color: @black !important;

				&:after {
					opacity: 1;
					.translateY(0);
				}
			}
		}
	}
}

.woocommerce-Address {
	& + & {
		margin-top: 2.8em;
	}

	.description-heading {
		margin-bottom: 1em;
	}

	a.edit {
		.link-color( @primary-color, @black );
	}
}

.woocommerce-MyAccount-content {
	fieldset {
		margin-top: 2.8em;
	}
}
